@smoklew

Почему не устанавливается opencart 1.5?

При установке Opencart ( после 3 шага ) вылазиет ошибка:
Notice: Error: Variable 'sql_mode' can't be set to the value of 'MYSQL40'
Error No: 1231
SET @@session.sql_mode = 'MYSQL40' in C:\OpenServer\domains\magaz\system\database\mysql.php on line 50

Устанавливал на другой компьютер все норм было..
  • Вопрос задан
  • 563 просмотра
Пригласить эксперта
Ответы на вопрос 3
thewind
@thewind
php программист, front / backend developer
Значит у вас старая версия Mysql сервера и он не понимает такой синтаксис.
Найдите в папке Install файл opencart.sql и уберите оттуда эту строку.
Ответ написан
Древняя версия мускула стоит. А это означает, что вы не только столкнетесь с проблемами при установки 1.5, но и получите массу головной боли при переезде на 2.0.
Выхода два: долбить хостера или менять хостера. Если правда железка не выделенная.
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы
ЧИТАЙ-ГОРОД Москва
от 140 000 до 210 000 ₽
ЭР-Телеком Пермь
от 80 000 ₽
DANYCOM Краснодар
от 50 000 до 100 000 ₽
01 апр. 2020, в 12:08
10000 руб./за проект
01 апр. 2020, в 12:07
35000 руб./за проект
01 апр. 2020, в 11:56
2000 руб./за проект